unit u_DartBoard;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, jpeg, ExtCtrls, StdCtrls;

type
  TForm2 = class(TForm)
    imgDartbord: TImage;
    edtScore: TEdit;
    lblScore: TLabel;
    btnGeef: TButton;
    D20: TShape;
    D1: TShape;
    D18: TShape;
    D4: TShape;
    D13: TShape;
    D6: TShape;
    D10: TShape;
    D15: TShape;
    D2: TShape;
    D17: TShape;
    D3: TShape;
    D19: TShape;
    D7: TShape;
    D16: TShape;
    D8: TShape;
    D11: TShape;
    D14: TShape;
    D9: TShape;
    D12: TShape;
    D5: TShape;
    T20: TShape;
    T1: TShape;
    T18: TShape;
    T4: TShape;
    T13: TShape;
    T6: TShape;
    T10: TShape;
    T15: TShape;
    T2: TShape;
    T17: TShape;
    T3: TShape;
    T19: TShape;
    T7: TShape;
    T16: TShape;
    T8: TShape;
    T11: TShape;
    T14: TShape;
    T9: TShape;
    T12: TShape;
    T5: TShape;
    sBULL: TShape;
    BULLsEYE: TShape;
    S20: TShape;
    S1: TShape;
    S18: TShape;
    S4: TShape;
    S13: TShape;
    S6: TShape;
    S10: TShape;
    S15: TShape;
    S2: TShape;
    S17: TShape;
    S3: TShape;
    S19: TShape;
    S7: TShape;
    S16: TShape;
    S8: TShape;
    S11: TShape;
    S14: TShape;
    S9: TShape;
    S12: TShape;
    S5: TShape;
    S20S: TShape;
    S1S: TShape;
    S18S: TShape;
    S4S: TShape;
    S13S: TShape;
    S6S: TShape;
    S10S: TShape;
    S5S: TShape;
    S12S: TShape;
    S9S: TShape;
    S14S: TShape;
    S11S: TShape;
    S8S: TShape;
    S16S: TShape;
    S7S: TShape;
    S19S: TShape;
    S3S: TShape;
    S17S: TShape;
    S2S: TShape;
    S15S: TShape;
    procedure btnGeefClick(Sender: TObject);
//Dit hieronder is 'geschreven' met een eigen geschreven programma.
Procedure D20MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D20MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D1MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D18MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D18MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D4MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D4MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D13MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D13MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D6MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D6MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D10MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D10MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D15MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D15MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D2MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D2MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D17MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D17MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D3MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D3MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D19MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D19MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D7MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D7MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D16MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D16MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D8MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D8MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D11MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D11MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D14MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D14MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D9MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D9MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D12MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D12MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure D5MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure D5MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T20MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T20MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T1MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T18MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T18MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T4MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T4MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T13MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T13MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T6MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T6MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T10MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T10MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T15MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T15MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T2MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T2MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T17MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T17MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T3MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T3MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T19MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T19MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T7MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T7MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T16MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T16MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T8MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T8MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T11MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T11MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T14MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T14MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T9MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T9MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T12MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T12MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure T5MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure T5MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure sBULLMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure sBULLMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure BULLsEYEMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure BULLsEYEMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S20MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S20MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S1MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S18MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S18MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S4MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S4MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S13MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S13MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S6MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S6MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S10MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S10MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S15MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S15MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S2MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S2MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S17MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S17MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S3MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S3MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S19MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S19MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S7MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S7MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S16MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S16MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S8MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S8MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S11MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S11MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S14MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S14MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S9MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S9MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S12MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S12MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S5MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S5MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S20SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S20SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S1SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S1SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S18SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S18SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S4SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S4SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S13SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S13SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S6SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S6SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S10SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S10SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S5SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S5SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S12SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S12SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S9SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S9SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S14SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S14SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S11SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S11SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S8SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S8SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S16SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S16SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S7SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S7SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S19SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S19SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S3SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S3SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S17SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S17SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S2SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S2SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Procedure S15SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
Procedure S15SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
//Einde programma
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses U_DartScores;

{$R *.dfm}

Procedure GeefScore(Waarde: string);
begin
  Form1.edtInvoer.Text := waarde;
  Form2.Visible := False;
end;

Procedure Score(Waarde: string);
begin
  Form2.edtScore.Text := Waarde;
end;


procedure TForm2.btnGeefClick(Sender: TObject);
begin
  GeefScore(Form2.edtScore.Text);
end;


//Dit gedeelte hieronder is 'geschreven' met een eigen geschreven programma:

procedure TForm2.D20MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('40');
End;

procedure TForm2.D20MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('40');
End;

procedure TForm2.D1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('2');
End;

procedure TForm2.D1MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('2');
End;

procedure TForm2.D18MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('36');
End;

procedure TForm2.D18MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('36');
End;

procedure TForm2.D4MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('8');
End;

procedure TForm2.D4MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('8');
End;

procedure TForm2.D13MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('26');
End;

procedure TForm2.D13MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('26');
End;

procedure TForm2.D6MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('12');
End;

procedure TForm2.D6MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('12');
End;

procedure TForm2.D10MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('20');
End;

procedure TForm2.D10MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('20');
End;

procedure TForm2.D15MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('30');
End;

procedure TForm2.D15MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('30');
End;

procedure TForm2.D2MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('4');
End;

procedure TForm2.D2MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('4');
End;

procedure TForm2.D17MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('34');
End;

procedure TForm2.D17MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('34');
End;

procedure TForm2.D3MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('6');
End;

procedure TForm2.D3MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('6');
End;

procedure TForm2.D19MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('38');
End;

procedure TForm2.D19MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('38');
End;

procedure TForm2.D7MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('14');
End;

procedure TForm2.D7MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('14');
End;

procedure TForm2.D16MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('32');
End;

procedure TForm2.D16MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('32');
End;

procedure TForm2.D8MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('16');
End;

procedure TForm2.D8MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('16');
End;

procedure TForm2.D11MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('22');
End;

procedure TForm2.D11MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('22');
End;

procedure TForm2.D14MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('28');
End;

procedure TForm2.D14MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('28');
End;

procedure TForm2.D9MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('18');
End;

procedure TForm2.D9MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('18');
End;

procedure TForm2.D12MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('24');
End;

procedure TForm2.D12MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('24');
End;

procedure TForm2.D5MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('10');
End;

procedure TForm2.D5MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('10');
End;

procedure TForm2.T20MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('60');
End;

procedure TForm2.T20MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('60');
End;

procedure TForm2.T1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('3');
End;

procedure TForm2.T1MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('3');
End;

procedure TForm2.T18MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('54');
End;

procedure TForm2.T18MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('54');
End;

procedure TForm2.T4MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('12');
End;

procedure TForm2.T4MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('12');
End;

procedure TForm2.T13MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('39');
End;

procedure TForm2.T13MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('39');
End;

procedure TForm2.T6MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('18');
End;

procedure TForm2.T6MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('18');
End;

procedure TForm2.T10MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('30');
End;

procedure TForm2.T10MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('30');
End;

procedure TForm2.T15MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('45');
End;

procedure TForm2.T15MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('45');
End;

procedure TForm2.T2MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('4');
End;

procedure TForm2.T2MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('4');
End;

procedure TForm2.T17MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('51');
End;

procedure TForm2.T17MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('51');
End;

procedure TForm2.T3MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('9');
End;

procedure TForm2.T3MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('9');
End;

procedure TForm2.T19MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('57');
End;

procedure TForm2.T19MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('57');
End;

procedure TForm2.T7MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('21');
End;

procedure TForm2.T7MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('21');
End;

procedure TForm2.T16MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('48');
End;

procedure TForm2.T16MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('48');
End;

procedure TForm2.T8MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('24');
End;

procedure TForm2.T8MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('24');
End;

procedure TForm2.T11MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('33');
End;

procedure TForm2.T11MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('33');
End;

procedure TForm2.T14MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('42');
End;

procedure TForm2.T14MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('42');
End;

procedure TForm2.T9MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('27');
End;

procedure TForm2.T9MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('27');
End;

procedure TForm2.T12MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('36');
End;

procedure TForm2.T12MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('36');
End;

procedure TForm2.T5MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('15');
End;

procedure TForm2.T5MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('15');
End;

procedure TForm2.sBULLMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('25');
End;

procedure TForm2.sBULLMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('25');
End;

procedure TForm2.BULLsEYEMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('50');
End;

procedure TForm2.BULLsEYEMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('50');
End;

procedure TForm2.S20MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('20');
End;

procedure TForm2.S20MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('20');
End;

procedure TForm2.S1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('1');
End;

procedure TForm2.S1MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('1');
End;

procedure TForm2.S18MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('18');
End;

procedure TForm2.S18MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('18');
End;

procedure TForm2.S4MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('4');
End;

procedure TForm2.S4MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('4');
End;

procedure TForm2.S13MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('13');
End;

procedure TForm2.S13MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('13');
End;

procedure TForm2.S6MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('6');
End;

procedure TForm2.S6MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('6');
End;

procedure TForm2.S10MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('10');
End;

procedure TForm2.S10MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('10');
End;

procedure TForm2.S15MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('15');
End;

procedure TForm2.S15MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('15');
End;

procedure TForm2.S2MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('2');
End;

procedure TForm2.S2MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('2');
End;

procedure TForm2.S17MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('17');
End;

procedure TForm2.S17MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('17');
End;

procedure TForm2.S3MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('3');
End;

procedure TForm2.S3MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('3');
End;

procedure TForm2.S19MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('19');
End;

procedure TForm2.S19MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('19');
End;

procedure TForm2.S7MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('7');
End;

procedure TForm2.S7MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('7');
End;

procedure TForm2.S16MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('16');
End;

procedure TForm2.S16MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('16');
End;

procedure TForm2.S8MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('8');
End;

procedure TForm2.S8MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('8');
End;

procedure TForm2.S11MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('11');
End;

procedure TForm2.S11MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('11');
End;

procedure TForm2.S14MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('14');
End;

procedure TForm2.S14MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('14');
End;

procedure TForm2.S9MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('9');
End;

procedure TForm2.S9MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('9');
End;

procedure TForm2.S12MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('12');
End;

procedure TForm2.S12MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('12');
End;

procedure TForm2.S5MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('5');
End;

procedure TForm2.S5MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('5');
End;

procedure TForm2.S20SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('20');
End;

procedure TForm2.S20SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('20');
End;

procedure TForm2.S1SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('1');
End;

procedure TForm2.S1SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('1');
End;

procedure TForm2.S18SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('18');
End;

procedure TForm2.S18SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('18');
End;

procedure TForm2.S4SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('4');
End;

procedure TForm2.S4SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('4');
End;

procedure TForm2.S13SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('13');
End;

procedure TForm2.S13SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('13');
End;

procedure TForm2.S6SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('6');
End;

procedure TForm2.S6SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('6');
End;

procedure TForm2.S10SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('10');
End;

procedure TForm2.S10SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('10');
End;

procedure TForm2.S5SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('5');
End;

procedure TForm2.S5SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('5');
End;

procedure TForm2.S12SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('12');
End;

procedure TForm2.S12SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('12');
End;

procedure TForm2.S9SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('9');
End;

procedure TForm2.S9SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('9');
End;

procedure TForm2.S14SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('14');
End;

procedure TForm2.S14SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('14');
End;

procedure TForm2.S11SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('11');
End;

procedure TForm2.S11SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('11');
End;

procedure TForm2.S8SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('8');
End;

procedure TForm2.S8SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('8');
End;

procedure TForm2.S16SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('16');
End;

procedure TForm2.S16SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('16');
End;

procedure TForm2.S7SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('7');
End;

procedure TForm2.S7SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('7');
End;

procedure TForm2.S19SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('19');
End;

procedure TForm2.S19SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('19');
End;

procedure TForm2.S3SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('3');
End;

procedure TForm2.S3SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('3');
End;

procedure TForm2.S17SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('17');
End;

procedure TForm2.S17SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('17');
End;

procedure TForm2.S2SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('2');
End;

procedure TForm2.S2SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('2');
End;

procedure TForm2.S15SMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
Score('15');
End;

procedure TForm2.S15SMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
GeefScore('15');
End;
//Einde eigen geschreven programma


end.
